checkpoint_dir: ./runs
comment: Experiment comment goes here
data:
  crop_bbox: true
  image_size:
  - 480
  - 480
  images_dir: /data/db/coco/allinone/
  name_keys:
  - name
  - viewpoint
  test:
    anno_path: /data/db/coco-v5-600/instances_val2023.json
    checkpoint_path: /data/db/wbia-plugin-miew-id/wbia_miew_id/runs/default_config/lp_expX_600_in_LRM_Optuna/efficientnetv2_rw_m-480-arcface/model_best.bin
    eval_groups: []
    n_filter_min: 2
    n_subsample_max: 10
  train:
    anno_path: /data/db/coco-v5-600/instances_train2023.json
    n_filter_min: 2
    n_subsample_max: null
  use_full_image_path: false
  val:
    anno_path: /data/db/coco-v5-600/instances_val2023.json
    n_filter_min: 2
    n_subsample_max: 10
  viewpoint_list:
  - left
  - right
engine:
  device: cuda
  epochs: 30
  loss_module: arcface
  num_workers: 0
  seed: 42
  train_batch_size: 10
  use_wandb: true
  valid_batch_size: 12
exp_name: lp_expX_600_in_LRM_Optuna_t16
model_params:
  dropout: 0.0
  fc_dim: 2048
  loss_module: arcface
  ls_eps: 0.0
  margin: 0.19433336875123247
  model_name: efficientnetv2_rw_m
  n_classes: 424
  pretrained: true
  s: 48.2213064107942
  theta_zero: 0.785
  use_fc: false
project_name: default_config
scheduler_params:
  lr_decay: 0.8
  lr_max: 0.004788666581688286
  lr_min: 0.00023943332908441428
  lr_ramp_ep: 15
  lr_start: 0.00047886665816882857
  lr_sus_ep: 0
test:
  batch_size: 8
  fliplr: false
  fliplr_view: []
